module.exports = function (eleventyConfig) {
	const pluginTOC = require('eleventy-plugin-nesting-toc');
	eleventyConfig.addPlugin(pluginTOC);

	const markdownIt = require('markdown-it');
	const markdownItAnchor = require('markdown-it-anchor');
	const markdownItAttrs = require('markdown-it-attrs');
	eleventyConfig.setLibrary("md",
		markdownIt({
			html: true,
			linkify: true,
			typographer: true,
		}).use(markdownItAnchor, {}).use(markdownItAttrs, {})
	);

	eleventyConfig.addPassthroughCopy("./src/images");
	eleventyConfig.addPassthroughCopy("./src/site.webmanifest");
	eleventyConfig.addPassthroughCopy("./src/favicon.ico");
	eleventyConfig.addPassthroughCopy("./src/favicon.svg");
	eleventyConfig.addPassthroughCopy("./src/favicon");
};
